<?php
namespace Mihanwp\FastCheckout\App\Core;
class Config
{
    private static $_plugin_version=null;
    static function handleTextDomain()
    {
        load_plugin_textdomain('aani_woocommerce', false, MW_AANI_CHECKOUT_LANG);
    }
    public static function get_plugin_version()
    {
        if(!self::$_plugin_version)
        {
            $file_data = get_file_data(MW_AANI_CHECKOUT_APPLICATION, ['version' => 'version']);
            if(!isset($file_data['version']))
            {
                return false;
            }
            self::$_plugin_version = $file_data['version'];
        }
        return self::$_plugin_version;
    }
    static function handleMihanPanelInstallationAdminNotice()
    {
        if(!\Mihanwp\FastCheckout\App\Helpers\Tools::checkIsMihanPanelProActive())
        {
            ?>
            <div class="notice notice-error">
                <p><?php printf('<b>%s: </b>%s', sprintf(__("Dear %s", 'aani_woocommerce'), wp_get_current_user()->display_name), __('Please note that if MihanPanel Pro plugin is not installed on your site, orders will be registered as a guest user and no account will be created for new users.', 'aani_woocommerce')); ?></p>
            </div>
            <?php
        }
    }
}