<?php
namespace Mihanwp\FastCheckout\App\Helpers;
class Number
{
    static function convertLocale($value, $localeToEN=true)
    {
        $persian = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
        $en = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9];
        return $localeToEN ? str_replace($persian, $en, $value) : str_replace($en, $persian, $value);
    }
    static function priceFormat($number, $persianNumber=true)
    {
        $number = number_format(floatval($number));
        return self::convertLocale($number, false);
    }
}